Bug 1312084 - (CVE-2016-2115) CVE-2016-2115 samba: Smb signing not required by default when smb client connection is used for ipc usage
CVE-2016-2115 samba: Smb signing not required by default when smb client conn...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160412,repor...
: Security
Depends On: 1322684 1322685 1322686 1322687 1322688 1322689 1322690 1322691 1322692 1324800 1324801 1324802 1324803 1324804 1324805 1324806 1324807 1325382 1325383 1325384 1325385 1325645 1325649 1325650 1325651 1325832 1325838 1326453
Blocks: 1311915
  Show dependency treegraph
 
Reported: 2016-02-25 12:08 EST by Adam Mariš
Modified: 2016-04-19 01:29 EDT (History)
16 users (show)

See Also:
Fixed In Version: samba 4.4.1, samba 4.3.7, samba 4.2.10
Doc Type: Bug Fix
Doc Text:
It was found that Samba did not enable integrity protection for IPC traffic by default. A man-in-the-middle attacker could use this flaw to view and modify the data sent between a Samba server and a client.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-19 01:29:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0611 normal SHIPPED_LIVE Critical: samba security update 2016-04-13 07:04:02 EDT
Red Hat Product Errata RHSA-2016:0612 normal SHIPPED_LIVE Critical: samba and samba4 security, bug fix, and enhancement update 2016-04-13 01:06:20 EDT
Red Hat Product Errata RHSA-2016:0613 normal SHIPPED_LIVE Critical: samba3x security update 2016-04-12 17:37:46 EDT
Red Hat Product Errata RHSA-2016:0614 normal SHIPPED_LIVE Critical: samba security, bug fix, and enhancement update 2016-04-12 21:38:55 EDT
Red Hat Product Errata RHSA-2016:0618 normal SHIPPED_LIVE Critical: samba security, bug fix, and enhancement update 2016-04-13 01:25:52 EDT
Red Hat Product Errata RHSA-2016:0619 normal SHIPPED_LIVE Critical: samba security update 2016-04-12 19:33:20 EDT
Red Hat Product Errata RHSA-2016:0620 normal SHIPPED_LIVE Critical: samba4 security, bug fix, and enhancement update 2016-04-12 21:20:34 EDT
Red Hat Product Errata RHSA-2016:0624 normal SHIPPED_LIVE Critical: samba3x security update 2016-04-12 19:15:40 EDT

  None (edit)
Description Adam Mariš 2016-02-25 12:08:14 EST
It was found that when a smb client connection is used for ipc usage (e.g. as NCACN_NP transport of DCERPC) it doesn't not require smb signing by default. This allows for various man-in-the-middle attacks.

Currently all Samba versions are affected.

Upstream bug:

https://bugzilla.samba.org/show_bug.cgi?id=11756
Comment 6 Huzaifa S. Sidhpurwala 2016-04-11 01:39:47 EDT
Acknowledgements:

Name: the Samba project
Upstream: Stefan Metzmacher (SerNet)
Comment 7 Huzaifa S. Sidhpurwala 2016-04-11 01:45:24 EDT
External Reference:

https://access.redhat.com/articles/2243351
Comment 10 Huzaifa S. Sidhpurwala 2016-04-12 13:12:50 EDT
Public via:

https://www.samba.org/samba/security/CVE-2016-2115.html
Comment 11 Siddharth Sharma 2016-04-12 13:28:51 EDT
Created samba tracking bugs for this issue:

Affects: fedora-all [bug 1326453]
Comment 12 errata-xmlrpc 2016-04-12 13:34:28 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0611 https://rhn.redhat.com/errata/RHSA-2016-0611.html
Comment 13 errata-xmlrpc 2016-04-12 13:39:17 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2016:0613 https://rhn.redhat.com/errata/RHSA-2016-0613.html
Comment 14 errata-xmlrpc 2016-04-12 13:40:13 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2016:0621 https://rhn.redhat.com/errata/RHSA-2016-0621.html
Comment 15 errata-xmlrpc 2016-04-12 15:16:54 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5.6 Long Life
  Red Hat Enterprise Linux 5.9 Long Life

Via RHSA-2016:0624 https://rhn.redhat.com/errata/RHSA-2016-0624.html
Comment 16 errata-xmlrpc 2016-04-12 15:18:17 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5.6 Long Life
  Red Hat Enterprise Linux 5.9 Long Life

Via RHSA-2016:0623 https://rhn.redhat.com/errata/RHSA-2016-0623.html
Comment 17 errata-xmlrpc 2016-04-12 15:34:12 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.4 Advanced Update Support
  Red Hat Enterprise Linux 6.2 Advanced Update Support
  Red Hat Enterprise Linux 6.6 Extended Update Support
  Red Hat Enterprise Linux 6.5 Advanced Update Support

Via RHSA-2016:0619 https://rhn.redhat.com/errata/RHSA-2016-0619.html
Comment 18 errata-xmlrpc 2016-04-12 17:21:28 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 4 Extended Lifecycle Support

Via RHSA-2016:0625 https://rhn.redhat.com/errata/RHSA-2016-0625.html
Comment 19 errata-xmlrpc 2016-04-12 17:24:59 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.6 Extended Update Support
  Red Hat Enterprise Linux 6.5 Advanced Update Support
  Red Hat Enterprise Linux 6.4 Advanced Update Support
  Red Hat Enterprise Linux 6.2 Advanced Update Support

Via RHSA-2016:0620 https://rhn.redhat.com/errata/RHSA-2016-0620.html
Comment 20 errata-xmlrpc 2016-04-12 17:40:05 EDT
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.1 for RHEL 7
  Red Hat Gluster Storage 3.1 for RHEL 6

Via RHSA-2016:0614 https://rhn.redhat.com/errata/RHSA-2016-0614.html
Comment 21 errata-xmlrpc 2016-04-12 21:07:43 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2016:0612 https://rhn.redhat.com/errata/RHSA-2016-0612.html
Comment 22 errata-xmlrpc 2016-04-12 21:27:39 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.1 Extended Update Support

Via RHSA-2016:0618 https://rhn.redhat.com/errata/RHSA-2016-0618.html
Comment 23 Fedora Update System 2016-04-13 16:21:49 EDT
samba-4.3.8-0.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2016-04-14 00:21:31 EDT
samba-4.2.11-0.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 28 Simon Atwater 2016-04-14 15:02:04 EDT
(In reply to errata-xmlrpc from comment #14)
> This issue has been addressed in the following products:
> 
>   Red Hat Enterprise Linux 5
> 
> Via RHSA-2016:0621 https://rhn.redhat.com/errata/RHSA-2016-0621.html

This bug is associated with CVE-2016-2115 (https://access.redhat.com/security/cve/cve-2016-2115) which doesn't indicate resolution for Red Hat 5. The fix page indicated above (https://rhn.redhat.com/errata/RHSA-2016-0621.html) does not list that it addresses CVE-2016-2115. Is this issue really resolved in Red Hat 5?
Comment 29 Fedora Update System 2016-04-14 23:17:18 EDT
samba-4.4.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.